Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.filter
Class ExclusionListLookup

    java.lang.Object
      com.sun.mdm.index.filter.ExclusionListLookup

public class ExclusionListLookup
extends java.lang.Object

This class will check for the fieldName and Fieldvalue present in the Exclusion list.

Field Summary
`(package private) ExclusionFilterCofig` | `exclusionFilterCofig`

Constructor Summary
`ExclusionListLookup()` Creates a new instance of ExclusionListLookup

Method Summary
`java.util.HashMap` | `excludeFieldMap(ObjectNode objectNode, java.lang.String listType)`
`java.util.ArrayList` | `getExclusionList(java.lang.String exclusionType)` This method will return the exclusionList.
`boolean` | `isBlockingFilterEnabled()`
`boolean` | `isFieldNameInExclusion(java.lang.String qualifiedFieldName, java.lang.String exclusionType)` This method used to check field name is present in the corresponding exclusion list.
`boolean` | `isFieldValueInExclusion(java.lang.Object fieldValue, java.lang.String qualifiedFieldName, java.lang.String exclusionType)` This method used to check field value is present in the corresponding exclusion list.
`boolean` | `isMatchingFilterEnabled()`
`boolean` | `isSbrFilterEnabled()`
`boolean` | `isValueExists(java.util.ArrayList fieldValueList, java.lang.Object fieldValue)` This method will check whether field value list present in the corresponding list valus.
`void` | `restoreOriginalValue(ObjectNode oNode, java.util.HashMap originalVaue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### exclusionFilterCofig

    ExclusionFilterCofig exclusionFilterCofig

Constructor Detail

### ExclusionListLookup

    public ExclusionListLookup()

  Creates a new instance of ExclusionListLookup

Method Detail

### excludeFieldMap

    public java.util.HashMap excludeFieldMap(ObjectNode objectNode,
                                             java.lang.String listType)

### getExclusionList

    public java.util.ArrayList getExclusionList(java.lang.String exclusionType)

  This method will return the exclusionList.

  Parameters:
    `exclusionType` - the type of the filter.
  Returns:
    ArrayList list of values for the given exclusionType.

### isBlockingFilterEnabled

    public boolean isBlockingFilterEnabled()

### isFieldNameInExclusion

    public boolean isFieldNameInExclusion(java.lang.String qualifiedFieldName,
                                          java.lang.String exclusionType)

  This method used to check field name is present in the corresponding exclusion list.

  Parameters:
    `qualifiedFieldName` - the fieldname to search in the exclusion list.
    `exclusionType` - the type of the filter.
  Returns:
    boolean

### isFieldValueInExclusion

    public boolean isFieldValueInExclusion(java.lang.Object fieldValue,
                                           java.lang.String qualifiedFieldName,
                                           java.lang.String exclusionType)

  This method used to check field value is present in the corresponding exclusion list.

  Parameters:
    `fieldValue` - the fieldvalue to search in the exclusion list.
    `qualifiedFieldName` - the fieldname to search in the exclusion list.
    `exclusionType` - the type of the filter.
  Returns:
    boolean

### isMatchingFilterEnabled

    public boolean isMatchingFilterEnabled()

### isSbrFilterEnabled

    public boolean isSbrFilterEnabled()

### isValueExists

    public boolean isValueExists(java.util.ArrayList fieldValueList,
                                 java.lang.Object fieldValue)

  This method will check whether field value list present in the corresponding list valus.

  Parameters:
    `fieldValueList` -
    `fieldValue` -
  Returns:
    boolean

### restoreOriginalValue

    public void restoreOriginalValue(ObjectNode oNode,
                                     java.util.HashMap originalVaue)
                              throws ObjectException

  Throws:
    `ObjectException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.